Subject: Re: [PATCH net-next v5 2/3] connector/cn_proc: Kunit tests for threads hash table

From: Stanislav Fomichev <[email-masked]>
Date: Wed, 23 Oct 2024 08:05:33 -0700

On 10/23, Anjali Kulkarni wrote:
> […snip…]
> 
> >>>> 
> >>>> Yes, make sure all required options are picked up by
> >>>> "./tools/testing/kunit/kunit.py run" instead of manually adding options
> >>>> and doing modprobe.
> >>> 
> >>> The environment issues are resolved and I am able to run kunit.py, but my tests
> >>> are not invoked without giving options via —kconfig-add. Other tests are also not
> >>> invoked. Running with the manual options runs 413 tests, and with just kunit.py
> >>> runs 389 tests. (I have added 6). Any idea how I can make it run my tests?
> >> 
> >> The runner does: ./tools/testing/kunit/kunit.py run --alltests
> >> Is it not enough in your case? What options do you pass via
> >> --kconfig-add? Is it because CONNECTOR stuff is disabled by default?
> > 
> > No, it still does not run.
> > However, I added to tools/testing/kunit/configs/all_tests.config:
> > 
> > CONFIG_CONNECTOR=y
> > CONFIG_PROC_EVENTS=y
> > CONFIG_NET=y
> > CONFIG_CN_HASH_KUNIT_TEST=y
> > 
> > And now it does run.
> > Should I make the change above? I will also check with the kunit guys.
> > But I do not understand how it ran for you(and run into the error), or did
> > it just try to compile?
> 
> I see this in comments on top of all_tests.config.
> 
> # The config is manually maintained, though it uses KUNIT_ALL_TESTS=y to enable
> # any tests whose dependencies are already satisfied. Please feel free to add
> # more options if they any new tests.
> 
> So I suppose if a test needs more dependencies, it needs to be added here.

Let's try and CC a bunch of kunit people to confirm :-)